<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">

<!-- Declaraction with optional attribute id = '' -->
<xsd:simpleType id="" name="fooString">
	<xsd:restriction base="xsd:string">
		<xsd:length value="4" />
	</xsd:restriction>
</xsd:simpleType>

</xsd:schema>

